%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           django-authopenid
Version:        0.9.6
Release:        5%{?dist}
Summary:        Django application to integrate Django authentication system with OpenID

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/django-authopenid/
Source0:        http://django-authopenid.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         django-authopenid-0.9.6-keyword.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools python-openid
Requires:       python-openid

%description
Django authentication application with OpenID using django.contrib.auth.

This application allow a user to connect to you website with:
 * legacy account (username/password)
 * OpenID url

If the user connects with an OpenID they could associate it with their legacy
account or just create a new Django account. When the user is connected
administrators can manage them like usual with django.contrib.auth.

This application also provide views to:
 * change password
 * change account email
 * change associated openid
 * delete account
 * send a new password 

Source produced By Benoît Chesneau for Enki Multimedia for the Friendsnippets
project.


%prep
%setup -q
%patch0 -p1


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE NOTICE README THANKS
%{python_sitelib}/django_authopenid
%{python_sitelib}/django_authopenid-*.egg-info


%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.6-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Ian Weller <ianweller@gmail.com> 0.9.6-2
- Add patch from I. Vazquez (django-authopenid-0.9.6-keyword.patch)

* Sun Feb 15 2009 Ian Weller <ianweller@gmail.com> 0.9.6-1
- Initial package build
